<?php

namespace Overtrue\Socialite\Contracts;

use Overtrue\Socialite\User;

interface ProviderInterface
{
    public function redirect($redirectUrl = null);

    /**
     * @param $code
     * @return User
     */
    public function userFromCode($code);

    public function userFromToken($token);
}
